Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.TabOrderMgr Class Reference
Inheritance diagram for FoxitPDFSDKPython2.TabOrderMgr:

## Public Member Functions
def | TabOrderMgr (other)
| Constructor, with another tab order manager object. More...
def | TabOrderMgr (page)
| Constructor, from a PDF page object. More...
def | AdjustStructureOrder (annot_array)
| Adjust the structure order with specified annotations, and tab order type will be set to FoxitPDFSDKPython2.TabOrderMgr.e_Structure at the same time. More...
def | GetFirstAnnot ()
| Get the first annotation in current tab order. More...
def | GetLastAnnot ()
| Get the last annotation in current tab order. More...
def | GetNextAnnot (annot)
| Get the next annotation of specified annotation in current tab order. More...
def | GetOrderType ()
| Get the tab order type. More...
def | GetPrevAnnot (annot)
| Get the previous annotation of specified annotation in current tab order. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | Reload ()
| Reload the tab order of annotations. More...
def | SetOrderType (order_type)
| Set the tab order type. More...

## Static Public Attributes
| e_Column = _fsdk.TabOrderMgr_e_Column
| C (column order): Annotations are visited in columns running vertically up and down the page.
| e_None = _fsdk.TabOrderMgr_e_None
| None (index order): Annotations are visited in annotation's index across the page.
| e_Row = _fsdk.TabOrderMgr_e_Row
| R (row order): Annotations are visited in rows running horizontally across the page.
| e_Structure = _fsdk.TabOrderMgr_e_Structure
| S (structure order): Annotations are visited in the order in which they appear in the structure tree.

## Detailed Description

Tab order is the order to navigate through annotations on a PDF page by using Tab key in keyboard. This class offers functions to manage the order of moving the keyboard focus among annotations on a PDF page. Tab order manager will ignore following types of annotations:
note annotations which are as reply annotations, note annotations which are as state annotations, pop-up annotations, annotations whose flags contain FoxitPDFSDKPython2.Annot.e_FlagHidden .
This class offers functions to get the order type and get annotations one by one in the order type. This class also offers functions to change the order type:

- FoxitPDFSDKPython2.TabOrderMgr.SetOrderType can be used to change the tab order type. Specially, if the tab order type is changed to FoxitPDFSDKPython2.TabOrderMgr.e_Structure , function FoxitPDFSDKPython2.TabOrderMgr.AdjustStructureOrder could be called to set the order.
- Function FoxitPDFSDKPython2.TabOrderMgr.AdjustStructureOrder can be called directly to change the order type to structure order and set the structure order at the same time.

After FoxitPDFSDKPython2.TabOrderMgr.SetOrderType being used or calling function FoxitPDFSDKPython2.TabOrderMgr.AdjustStructureOrder , function FoxitPDFSDKPython2.TabOrderMgr.Reload should be called; otherwise the annotations' order may not be changed as expected.

See also
  PDFPage
  FoxitPDFSDKPython2.Annot

## Constructor & Destructor Documentation

## ◆ TabOrderMgr() [1/2]

def FoxitPDFSDKPython2.TabOrderMgr.TabOrderMgr | ( |  | page | ) |

Constructor, from a PDF page object.

Parameters

  [in] | page | A valid PDF page.

## ◆ TabOrderMgr() [2/2]

def FoxitPDFSDKPython2.TabOrderMgr.TabOrderMgr | ( |  | other | ) |

Constructor, with another tab order manager object.

Parameters

  [in] | other | Another tab order manager object.

## Member Function Documentation

## ◆ AdjustStructureOrder()

def FoxitPDFSDKPython2.TabOrderMgr.AdjustStructureOrder | ( |  | annot_array | ) |

Adjust the structure order with specified annotations, and tab order type will be set to FoxitPDFSDKPython2.TabOrderMgr.e_Structure at the same time.

This function is used to adjust the annotation order for structure tab order. First, re-order annotations in the input array according to the order in this array, and then re-order the reset annotations (which are not included in the input array) by the reading direction of PDF document.
After this function succeeds, indexes of all annotations in the related PDF page will be changed.

Parameters

  [in] | annot_array | An array of annotations which will be re-ordered first for structure tab order. All the annotations in this array should belong to the same page as the one related to current tab order manager. These annotations should all be valid and should be different from each other.

Returns
  true means success, while false means failure.

## ◆ GetFirstAnnot()

def FoxitPDFSDKPython2.TabOrderMgr.GetFirstAnnot | ( |  | ) |

Get the first annotation in current tab order.

Returns
  The first annotation. If the return value of function FoxitPDFSDKPython2.Annot.IsEmpty for the returned annotation object is true, that means there is no annotation.

## ◆ GetLastAnnot()

def FoxitPDFSDKPython2.TabOrderMgr.GetLastAnnot | ( |  | ) |

Get the last annotation in current tab order.

Returns
  The last annotation. If the return value of function FoxitPDFSDKPython2.Annot.IsEmpty for the returned annotation object is true, that means there is no annotation.

## ◆ GetNextAnnot()

def FoxitPDFSDKPython2.TabOrderMgr.GetNextAnnot | ( |  | annot | ) |

Get the next annotation of specified annotation in current tab order.

Parameters

  [in] | annot | The valid specified annotation.

Returns
  The next annotation. If the return value of function FoxitPDFSDKPython2.Annot.IsEmpty for the returned annotation object is true, that means the specified annotation is the last annotation in current tab order.

## ◆ GetOrderType()

def FoxitPDFSDKPython2.TabOrderMgr.GetOrderType | ( |  | ) |

Get the tab order type.

Returns
  The tab order type. Please refer to values starting from FoxitPDFSDKPython2.TabOrderMgr.e_None and this would be one of these values.

## ◆ GetPrevAnnot()

def FoxitPDFSDKPython2.TabOrderMgr.GetPrevAnnot | ( |  | annot | ) |

Get the previous annotation of specified annotation in current tab order.

Parameters

  [in] | annot | The valid specified annotation.

Returns
  The previous annotation. If the return value of function FoxitPDFSDKPython2.Annot.IsEmpty for the returned annotation object is true, that means the specified annotation is the first annotation in current tab order.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.TabOrderMgr.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Reload()

def FoxitPDFSDKPython2.TabOrderMgr.Reload | ( |  | ) |

Reload the tab order of annotations.

This function should be called when:

- any annotation in related PDF page is moved/deleted/added;
- related page's rotation is changed;
- reading direction of related PDF document is changed;
- FoxitPDFSDKPython2.TabOrderMgr.SetOrderType is used or function FoxitPDFSDKPython2.TabOrderMgr.AdjustStructureOrder is called to change the tab order type or structure order.

Returns
  None.

## ◆ SetOrderType()

def FoxitPDFSDKPython2.TabOrderMgr.SetOrderType | ( |  | order_type | ) |

Set the tab order type.

Parameters

  [in] | order_type | The new tab order type. It should be one of following values: FoxitPDFSDKPython2.TabOrderMgr.e_None : means not to use tab order. FoxitPDFSDKPython2.TabOrderMgr.e_Row : means to use row order. FoxitPDFSDKPython2.TabOrderMgr.e_Column : means to use column order. FoxitPDFSDKPython2.TabOrderMgr.e_Structure : means to use struct order and then function FoxitPDFSDKPython2.TabOrderMgr.AdjustStructureOrder could be called to set the order.

Returns
  None.